Filewatcher File Search File Search
Catalog
Content Search
» » » » »

ocaml-ulex08

OCaml lexer generator with Unicode support - CamlP5 version

Variants:
ulex is a lexer generator for the Objective Caml (OCaml) programming language.

It is implemented as a Camlp4 syntax extension: lexer specifications are embedded in regular OCaml code.

Generated lexers work with a new kind of "lexbuf" that supports Unicode; a single lexer can work with arbitrary encodings of the input stream.

This package ships the latest release of ulex compatible with Camlp4 pre OCaml 3.10 (now called CamlP5). Applications which need both ulex and the legacy version of Camlp4 might need to use this package instead of ocaml-ulex (the latter shipping the latest available ulex release which requires Camlp4 >= 3.10)).

Homepage:
Package version:0.8-9+b1
Architecture:amd64
Distribution:Debian
Filename:ocaml-ulex08_0.8-9+b1_amd64.deb

/usr/share/doc/ocaml-ulex08/README.Debian

ulex 0.8 in Debian
==================

This package (ocaml-ulex08) contains the latest version of ulex which is
compatible with CamlP4 << 3.10 or, alternatively, CamlP5 (packages in
Debian as "camlp5").

Q: When do you need to use this package?
A: Mainly if you have to build code which works only with the old CamlP4
   *and* you also has to use ulex. In this case mixing your code (built
   old Ca
more»

/usr/share/doc/ocaml-ulex08/README.gz

Ulex: a OCaml lexer generator for Unicode

License:
  Copyright (C) 2003, 2004, 2005 Alain Frisch
  distributed under the terms of an MIT-like license : see LICENSE

Author:
  email: Alain.Frisch@inria.fr
  web: http://www.eleves.ens.fr/home/frisch, http://www.cduce.org

--------------------------------------------------------------------------
Overview

- ulex is a lexer generator.

- it is imple
more»

/usr/share/doc/ocaml-ulex08/changelog.Debian.gz

ulex0.8 (0.8-9+b1) unstable; urgency=low

  * Binary-only non-maintainer upload for amd64; no source changes.
  * Rebuild with camlp5 5.14

 -- amd64 Builddd Daemon (barber) <buildd_amd64-barber@buildd.debian.org>  Mon, 03 May 2010 11:02:00 +0000

ulex0.8 (0.8-9) unstable; urgency=low

  [ St├ęphane Glondu ]
  * Use dh-ocaml for dependency generation (Closes: #577311)

  [ Enrico Tassi ]
  * use q
more»

/usr/share/doc/ocaml-ulex08/changelog.gz

0.8 released Oct 30 2005
     * Really make it work with OCaml 3.09.
     * Support for Utf-16.

0.7
more»

/usr/share/doc/ocaml-ulex08/copyright

This package was debianized by Stefano Zacchiroli <zack@debian.org> on
Fri, 24 Aug 2007 22:23:30 +02
more»

Browse inside ocaml-ulex08_0.8-9+b1_amd64.deb

         [DIR]DEBIAN/ (2)  65535+ mirrors
         [DIR]usr/ (2)  65535+ mirrors
         [DIR]var/ (1)  56408+ mirrors

Download ocaml-ulex08_0.8-9+b1_amd64.deb

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2016 FileWatcher.com